---
id: device
title: device
hide_title: true
hide_table_of_contents: true
sidebar_label: device
description: Register devices for development and testing
---
## ipsw appstore device

Register devices for development and testing

```
ipsw appstore device [flags]
```

### Options

```
  -h, --help   help for device
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
  -i, --iss string      Issuer ID
  -j, --jwt string      JWT api key
  -k, --kid string      Key ID
      --no-color        disable colorize output
  -p, --p8 string       Path to App Store Connect API Key (.p8)
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw appstore](/docs/cli/ipsw/appstore)	 - Interact with the App Store Connect API
* [ipsw appstore device ls](/docs/cli/ipsw/appstore/device/ls)	 - List devices registered to your team
* [ipsw appstore device mod](/docs/cli/ipsw/appstore/device/mod)	 - Register a new device for app development
* [ipsw appstore device reg](/docs/cli/ipsw/appstore/device/reg)	 - Register a new device for app development

